Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Build a product with duplicated plugins (but different versions)
icon9.gif  Build a product with duplicated plugins (but different versions) [message #896346] Wed, 18 July 2012 07:02 Go to next message
Marc Gil is currently offline Marc GilFriend
Messages: 189
Registered: July 2009
Location: Valencia, Spain
Senior Member
Hello,

I'm trying to build an Eclipse Product that, due to a compatibility of some owned plugins, has some dependencies that includes duplicated plugins with different versions:

* javax.wsdl (1.5.1.v201012040544 and 1.6.2.v201012040545)
* org.antlr.runtime (3.0.0.v200803061811 and 3.2.0.v201101311130)
* org.apache.lucene (1.9.1.v201101211617 and 2.9.1.v201101211721)

My product is build on Eclipse Indigo 3.7.2. I have created a product plugin but when I validate the .product file some errors appears warning about these dependencies. If I try to export the product, it fails.

How can I export the product having this "problem" with the dependencies?

Thanks a lot!
Marc
Re: Build a product with duplicated plugins (but different versions) [message #897701 is a reply to message #896346] Wed, 25 July 2012 06:57 Go to previous messageGo to next message
Sabir Mising name is currently offline Sabir Mising nameFriend
Messages: 68
Registered: February 2010
Member
If a plugin is marked as singleton then the OSGI will load only one instance(version) of plugin , BUt if you want to use different version of same plugin then you have to make sure the plugin is not marked as singleton.
Re: Build a product with duplicated plugins (but different versions) [message #897708 is a reply to message #897701] Wed, 25 July 2012 07:04 Go to previous message
Marc Gil is currently offline Marc GilFriend
Messages: 189
Registered: July 2009
Location: Valencia, Spain
Senior Member
The problem is that affected plugins are not mine. They belong to Eclipse, so I can't change singleton property. I get some dependency problems when export my product. Furthermore I get some problems when validating the .product, precissly with these plugins...

I know that it can be done, but I don't know why. For instance, WTP releases contain duplicated plugins with different versions (java.wsdl - 1.5.1.v201012040544 and 1.6.2.v201012040545)
Previous Topic:Bundle-NativeCode with 32/64bit versions of Eclipse on Linux?
Next Topic:How to get Project info. based on tree node expanded(not necessarliy selected) ?
Goto Forum:
  


Current Time: Tue Nov 25 02:13:41 GMT 2014

Powered by FUDForum. Page generated in 0.01884 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software